<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# API Reference — Detecting Open Redirect Vulnerabilities

## curl — Manual Testing
```bash
curl -s -D- -o /dev/null "https://target.com/redirect?url=https://evil.com"
curl -s -D- -o /dev/null "https://target.com/redirect?url=//evil.com"
curl -s -D- -o /dev/null "https://target.com/redirect?url=%2f%2fevil.com"
```

## nuclei — Automated Scanning
```bash
nuclei -u "https://target.com/redirect?url=FUZZ" \
  -t http/vulnerabilities/open-redirect/ -json
```

## gf — Pattern Extraction
```bash
gf redirect crawl_output.txt | sort -u
```
